> ## Documentation Index
> Fetch the complete documentation index at: https://docs.britive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of all approval requests

## OpenAPI

````json GET /api/v1/approvals/
{
  "openapi": "3.0.1",
  "info": {
    "title": "Secret Manager APIs",
    "version": "v1",
    "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc."
  },
  "servers": [
    {
      "url": "https://{tenantURL}",
      "description": "The primary server",
      "variables": {
        "tenantURL": {
          "default": "test.britive-app.com",
          "description": "The host of the server"
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Approvals"
    },
    {
      "name": "Notification Service"
    },
    {
      "name": "Policy Administration"
    },
    {
      "name": "Secrets Manager"
    },
    {
      "name": "Secret Rotation"
    }
  ],
  "paths": {
    "/api/v1/approvals/": {
      "get": {
        "tags": [
          "Approvals"
        ],
        "summary": "Get the list of all approval requests",
        "operationId": "getApprovals",
        "parameters": [
          {
            "name": "filter",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "requestType",
            "description": "Specifies the type of request",
            "in": "query",
            "schema": {
              "pattern": "\\s*(myRequests|myApprovals)\\s*",
              "type": "string",
              "enum": [
                "myRequests",
                "myApprovals"
              ]
            }
          },
          {
            "name": "pageToken",
            "description": "Autogenerated token for next page of records in case the results are more than one page. Append this token in requested API URL to access the next set of pages.",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "consumer",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "activeStatus",
            "in": "query",
            "schema": {
              "type": "string",
              "default": "all",
              "enum": [
                "all",
                "active",
                "inactive"
              ]
            }
          },
          {
            "name": "createdWithinDays",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  }
}
````

